.home .wrapper {
    max-width: 1200px;
}

/****
**  HERO SECTION
*****/

.hero-section {
    text-align: center;

    height: calc(100dvh - 237px);
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: white;
    background: radial-gradient(#4b4040a8, #00000073), url(/master/assets/images/bg-home-3.webp);
    background-size: cover;
    background-repeat: no-repeat;
}

.hero-section h2 {
    font-size: var(--heading);
    font-family: var(--alt-font);
    text-transform: uppercase;
    letter-spacing: 0;
    line-height: 1.15;
    margin-bottom: 12px;
    margin-top: 30px;

}

.hero-section p {
    letter-spacing: 0;
    line-height: 28px;
    padding-right: 0;
    margin-bottom: 40px;
    font-family: var(--normal-font);
    font-size: var(--small-heading);
    font-weight: 400;
    color: #fff;

}

.informazioni {
    font-size: 22px;
    margin-bottom: 0px;
}

/****
**  INTRO SECTION
*****/
.intro {
    padding: 67px 0 37px;
    position: relative;
    background: white;
}


/****
**  HOURS SECTION
*****/

.hours {
    --custom-section-padding: 0 0 100px;
    padding: var(--custom-section-padding);
    position: relative;
}


.content-col {

    padding: 32px 21px 0;
    margin: 0;
    z-index: 9;
}


.minititle {
    font-size: var(--normal-font);
    text-transform: uppercase;
    color: rgb(88, 88, 88);
    font-weight: 400;
    letter-spacing: 2.7px;
    position: relative;
    display: inline-block;
    line-height: 1;
    margin-bottom: 18px;
    font-family: var(--main-font);

}

.minititle--right-deco::after {
    content: "";
    position: absolute;
    top: 13px;
    right: -76px;
    width: 63px;
    height: 1px;
    background: var(--yellow);
}


.hour-grid {
    margin-top: 24px;
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}


.small-title {
    font-size: var(--small-heading);
    text-transform: uppercase;
    letter-spacing: 1px;
    margin-bottom: 16px;
    color: var(--dark-text);
    font-weight: 500;
}

.hour-grid p {
    line-height: 1.8;
    font-size: var(--mid-font);
    font-weight: 400;
}

.additional-info {
    margin-top: 1rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.additional-info strong,
.additional-info h4 {
    color: var(--dark-text)
}

.image-div img {
    margin-top: 2rem;
    position: relative;
    z-index: 9;

}


section p {

    margin-bottom: 1rem;
    color: black
}

.hours .image-div {
    position: relative;
}

.image-div-abs img {
    margin-top: 2rem;
}


/**
** GENERATION SECTION
**/
.generation {
    background: var(--alt-color);
    text-align: center;
    padding: 50px 0 40px;
}

.generation small {
    display: inline-block;
    font-size: var(--normal-font);
    margin-bottom: 0.5rem
}

.slider-mini-title {
    font-family: var(--alt-font);
    font-size: 28px;
    line-height: 1.4;
    color: var(--dark-text);
}

/**
** TRADITION WINE SECTION
**/

.tradition-wine {
    padding: 35px 0
}

/**Tradition**/

.tradition .wrapper {
    position: relative;
}

.tradition .text-content {

    padding: 30px 15px
}


.tradition a {
    margin-top: 32px;
}

/*Wine*/

.wine {
    margin-top: 74px;
}

.wine a {
    margin-top: 32px;
}

.wine .wrapper {
    position: relative;
}


.wine .text-content {

    padding: 30px 15px
}


/**
** BLACK BELT
**/

section.black-belt {
    padding: 86px 0 61px;
    background: var(--dark-text);
}

.black-belt-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(calc(180px - 1rem), 1fr));
    gap: 1rem;
    color: white;
    font-family: var(--alt-font);
    font-size: var(--mid-font);

}

.black-belt-grid img {
    border-radius: 5%;
}

.black-belt-grid p {
    color: white;
    text-align: center;
    text-transform: uppercase;
}


/**
** GIFT
**/
.gift {
    --custom-section-padding: 50px 0 136px 0;
    padding: var(--custom-section-padding);
    background: var(--main-color);
    position: relative;
    z-index: 1;
}


.gift .title, .gift p, .gift h3 {
    color: white;
}

.gift h3 {
    font-size: 28px;
    font-weight: 500;
}

.gift ul {
    margin-block: 2rem;
}

.menu-entry {
    color: white;
    margin-bottom: 1rem;
}

.menu-heading {
    display: flex;
    justify-content: space-between;
    color: var(--yellow);
    position: relative;
    align-items: baseline;

}

.menu-heading h4 {
    background: #6a0d00;
    padding-right: 15px;
    z-index: 1;
    font-size: clamp(13px,20%,18px);
}

.menu-heading__divider {
    display: none;

}

.menu-heading p {
    font-family: var(--main-font);
    color: var(--yellow);
    font-size: 18px;
    padding-left: 15px;
    height: 15px;
    z-index: 4;

}


/**
* Menu
**/

.menu {
    padding: 87px 0 135px 0
}

.menu .wrapper {
    margin-top: -202px;
}

.menu-grid {
    position: relative;
    z-index: 2;
    display: flex;
    flex-wrap: wrap;
    background: white;
}

.menu-grid > * {
    --width: 100%;
    width: var(--width);
}

.menu-grid .image-col {
    text-align: center;
}

.menu-grid:nth-of-type(even) {
    flex-direction: row-reverse;
}

.tasting {
    width: 100%;
    /*padding: 83px;*/
    padding: 5%;
}

.tasting h3 {
    font-size: 30px;
    text-transform: uppercase;
    letter-spacing: 1.3px;
    margin-bottom: -5px;
    line-height: 1.7;
    color: var(--dark-text);
}

.title-wrap {
    text-align: center;
}

.tasting__content {
    display: flex;
    flex-wrap: wrap;
}

.tasting__item {
    width: 50%;
}

.tasting__item h4 {
    background: #ffffff;
    padding-right: 15px;
    font-family: "Cerebri Sans", sans-serif;
    font-size: var(--xs-heading);
    color: var(--dark-text);

}

.tasting__footer {
    display: flex;
    justify-content: space-between;
    font-size: var(--xs-heading);
    line-height: 1;
    color: var(--dark-text);
    width: 100%;
    position: relative;
    margin-top: 1rem;
}

.tasting__footer p {
    background: white;

}

.tasting__footer p:first-child {
    padding-right: 15px;
}

.tasting__footer p:first-child::after {
    content: "";
    width: 100%;
    height: 2px;
    background: var(--yellow);
    display: block;
    position: absolute;
    left: 0;
    bottom: 23px;
    z-index: -1;

}


.tasting__footer p:last-child {
    padding-left: 15px;
}

.tasting__footer p:last-child::before {
    content: "";
    width: 100%;
    height: 2px;
    background: var(--yellow);
    display: block;
    position: absolute;
    left: 0;
    top: 7px;
    z-index: -1;

}

/***
** Book online
**/

.book-online {
    background: var(--dark-text);
    padding: 50px 0 50px;
    text-align: center;

}


.another-title {
    font-size: 28px;
    font-family: var(--alt-font);
    font-weight: 500;
    margin-bottom: 1rem;
    color: white;
}

.book-online p {
    color: white;
    margin-bottom: 4%;
}


/**
** IMPORTANT NOTICE
**/

.important-notice {
    --custom-section-padding: 79px 0 62px;
    background: var(--alt-color);
    padding: var(--custom-section-padding);
    text-align: center;

}


.oc-overlay {
    position: fixed;
    width: 100vw;
    height: 100vh;
    background: rgba(37, 37, 37, 0.82);
    top: 0;
    z-index: 999;
}

.oc-content {
    position: fixed;
    height: 100%;
    background: #fff;
    right: 0;
    width: 100%;
    bottom: 0;
    z-index: 9999;
    display: flex;
    flex-direction: column;
    justify-content: stretch;
    min-width: 275px;
    transform: translateX(100vw);
    transition: all 200ms ease-in; /* Corrected version */

}


.oc__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid;
}

.oc__header > * {
    margin-bottom: 0;
}

.oc__header >h2{
    font-size: 18px;
    font-family: inherit;
    font-weight: bold;
}

.oc__header .btn {
    background: none;
    border: none;
    padding: 0;
}

.oc__body .small-title {
    --dark-text: var(--main-color);
    font-size: clamp(16px, 4vw, 20px);
    margin-bottom: 0;

}

.oc__body.wrapper {
    padding-block: 1rem;
    overflow-y: auto;

}

.oc__body details{
    margin-bottom: 1rem;
}


.oc-content--show {
    transform: translateX(0);

}

.oc-content--hide {
    transform: translateX(100vw);

}

.oc__footer{
    position: sticky;
    bottom: 0;
    z-index: 9999;
    background: white;
    border-top: 2px solid var(--main-color);
}


.notice{
    font-size: 14px;
    text-transform: uppercase;
    color: var(--main-color)
}

.recap-title{
    font-size: 22px;
    color:var(--dark-text);
    margin-block: 0.25rem;
    font-family: var(--main-font);

}
.recap-title__suffix{
    font-family: var(--main-font);
    font-size: 15px;
}


.voucher-form {
    gap: 0.30rem
}

.voucher-form label{
    display: inline-block;
    font-size: small;
    color:var(--main-color)
}

.input-group {
    display: flex;
    flex-direction: column;
    gap: 0.25rem;
    flex-wrap: wrap;
    padding-right: 24px;
    margin-bottom: 0.25rem;
}

fieldset{
    margin-top: 1rem;
    position: relative;
}

legend{
    color: var(--main-color);
}
label[for="payment_method"]{
    font-family: var(--alt-font);
    text-transform: uppercase;
    color: var(--main-color)
}

label[for="term_privacy"] a{
    text-decoration: underline;
}

.voucher-form button {
    max-width: 275px;
    margin-bottom: 1rem;
}


.tasting__item {
    width: 100%;
    text-align: start;
}

/**
** MQ - MEDIA QUERIES
**/

@media screen and (min-width: 576px ) {
    .wine .wrapper::after {
        content: "";
        position: absolute;
        width: 494px;
        height: 602px;
        border: 1px solid #e6c9a2;
        z-index: 0;
        top: auto;
        left: auto;
        bottom: -26px;
        right: 5px;
    }

    .tradition .wrapper::after {
        content: "";
        position: absolute;
        top: 9px;
        left: -7px;
        width: 465px;
        height: 602px;
        border: 1px solid var(--yellow);
        z-index: -1;
    }
}


@media screen and (min-width: 768px) {
    .hero-section {
        height: 100dvh;
    }

    .wine .wrapper::after {
        content: "";
        position: absolute;
        width: 494px;
        height: 602px;
        border: 1px solid #e6c9a2;
        z-index: 0;
        top: auto;
        left: -1px;
        bottom: 54px;
    }

}

@media screen and (min-width: 991px) {

    .decorated-div::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        background: #F9F1E8FF;
        width: 721px;
        height: 650px;
    }

    .hours::after {
        content: "";
        position: absolute;
        bottom: 0;
        right: 0;
        background: var(--alt-color);
        width: 477px;
        height: 631px;
        z-index: -1;
    }

    .generation {
        padding: 102px 0 80px;
    }

    .content-col {
        padding: 72px 43px 0;
    }

    .tradition-wine {
        padding: 134px 0;
    }

    .tradition .text-content {
        padding: 79px 0 0 69px;
    }

    .wine .text-content {
        padding: 163px 69px 0 0;
    }

    .menu-heading__divider {
        display: block;
        border-top: 1px solid var(--yellow);
        width: 66%;
        border-bottom: 1px solid var(--yellow);
        height: 7px;
    }

    .menu-grid > * {
        --width: 50%;

    }

    .tasting {
        width: 50%;
    }

    .oc-content {
        max-width: 70%;
    }

    fieldset:last-of-type::before{
        content: "";
        height: 100%;
        background: gray;
        width: 1px;
        display: block;
        position: absolute;
        top: 0;
        left: -12px;
    }

    .oc__footer{
        border:none
    }

    .menu-heading__divider {
        display: block;
        border-top: 1px solid var(--yellow);
        width: 42%;
        border-bottom: 1px solid var(--yellow);
        height: 7px;
    }
}

@media screen and (min-width: 1200px) {
    .intro {
        padding: 133px 0 74px;
    }

    .menu-grid:nth-of-type(even) .image-col {
        text-align: end;
    }

    .menu-grid:nth-of-type(odd) .image-col {
        text-align: start;
    }

    .image-div img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        z-index: 2;
        position: relative;
    }

    .wine .wrapper::after {
        content: "";
        position: absolute;
        width: 494px;
        height: 602px;
        border: 1px solid #e6c9a2;
        z-index: 0;
        top: 0;
        left: auto;
        bottom: -26px;
        right: -26px;
    }

    --custom-section-padding: 136px 0 235px;

}

@media screen and (min-width: 1440px) {

    .image-div-abs img {
        margin-top: 0;
        position: absolute;
        top: 0;
        right: 0;
        width: 41.66666667%;
        height: auto
    }
}
